#
# spec file for package spamassassin (Version 3.1.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Digest-SHA1 perl-HTML-Parser perl-HTML-Tagset permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           spamassassin
BuildRequires:  perl-Digest-SHA1 perl-HTML-Parser
License:        Apache
Group:          Productivity/Networking/Email/Utilities
Provides:       spamassassin
URL:            http://spamassassin.org/
Version:        3.1.3
Release:        2.3
Requires:       perl-libwww-perl perl-IO-Zlib
Requires:       perl-spamassassin = %version
Autoreqprov:    on
PreReq:         %insserv_prereq %fillup_prereq
Summary:        SpamAssassin is an extensible email filter which is used to identify spam
Source:         Mail-SpamAssassin-%{version}.tar.bz2
Source1:        local.cf
Source2:        init.spamd
Source3:        sysconfig.spamd
Patch0:         patch-utf8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
spamassassin adds a header line that shows if the mail has been
determined spam or not. This way, you can decide what to do with the
mail within the scope of your own filtering rules in your MUA (Mail
User Agent, your mail program) or your LDA (Local Delivery Agent).

See the files in the documentation directory
/usr/share/doc/packages/spamassassin/ for more information on how to
use the filter.



Authors:
--------
    Justin Mason <me@jmason.org>

%debug_package
%package -n perl-spamassassin
Group:          Development/Libraries/Perl
Requires:       perl-HTML-Parser perl-Net-DNS
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        the perl modules for using spamassassin within an own perl script

%description -n perl-spamassassin
This package contains the perl modules for the spamassassin, including
the filter rules. This package is required for the package
"spamassassin", the commandline tool.



Authors:
--------
    Justin Mason <me@jmason.org>

%prep
%setup  -n Mail-SpamAssassin-%version
%patch0 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"
if [ -e t/data/whitelists/winxpnews.com ]; then
    echo "t/data/whitelists/winxpnews.com is not allowed to be distributed."
    echo "see #102221"
    exit -1
fi;
if [ -e build/cf_to_html ]; then
    echo "build/cf_to_html is not allowed to be distributed."
    echo "see #102221"
    exit -1
fi;
perl Makefile.PL DESTDIR=$RPM_BUILD_ROOT \
		 CONTACT_ADDRESS="postmaster" \
		 INSTALLDIRS=vendor < /dev/null
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/mail/spamassassin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
mkdir -p $RPM_BUILD_ROOT/var/adm/perl-modules
mkdir -p $RPM_BUILD_ROOT/usr/share/spamassassin
#
make install
%perl_process_packlist
#
mv $RPM_BUILD_ROOT/usr/bin/spamd $RPM_BUILD_ROOT/usr/sbin
install -m 0644 $RPM_SOURCE_DIR/local.cf $RPM_BUILD_ROOT/etc/mail/spamassassin/local.cf
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/spamd
ln -s ../../etc/init.d/spamd $RPM_BUILD_ROOT/usr/sbin/rcspamd
echo "Most of the documentation is at ../perl-spamassassin/." > README.SuSE
install -m 0640 %SOURCE3 $RPM_BUILD_ROOT/var/adm/fillup-templates/
test -f $RPM_BUILD_ROOT/usr/share/spamassassin/user_prefs.template || {
	echo "MakeMaker is broken again..."
	exit 1
}

%files -n perl-spamassassin
%defattr(-,root,root)
%doc BUGS CREDITS Changes INSTALL LICENSE MANIFEST* NOTICE PACKAGING README
%doc STATUS TRADEMARK UPGRADE USAGE sample-nonspam.txt sample-spam.txt
%doc tools ldap sql
%doc %{_mandir}/man3/*
%dir /etc/mail
%config(noreplace) /etc/mail/spamassassin
%dir %{perl_vendorarch}/auto/Mail
%{perl_vendorarch}/auto/Mail/SpamAssassin
%dir %{perl_vendorlib}/Mail
%{perl_vendorlib}/Mail/SpamAssassin.pm
%{perl_vendorlib}/Mail/SpamAssassin
%{perl_vendorlib}/spamassassin-run.pod
/usr/share/spamassassin
/var/adm/perl-modules/spamassassin

%files
%defattr(-,root,root)
%doc spamd/README* spamd/PROTOCOL
%doc %{_mandir}/man1/*
%attr(755,root,root) /usr/bin/*
%attr(755,root,root) /usr/sbin/*
%config %attr(740,root,root) /etc/init.d/spamd
/var/adm/fillup-templates/sysconfig.spamd

%post
%{fillup_and_insserv -n spamd}

%preun
%stop_on_removal spamd

%postun
%restart_on_update spamd
%insserv_cleanup
#remove old type attribute
grep -q 'SPAMD_ARGS.*-a' etc/sysconfig/spamd && {
  sed 's/-a//' etc/sysconfig/spamd > tmp/spamd
  if [ -s /tmp/spamd ]
  then
    mv tmp/spamd etc/sysconfig/spamd
  else
    test -e tmp/spamd && rm tmp/spamd 
  fi
}
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n spamassassin
* Fri Jun 09 2006 - varkoly@suse.de
- * Fixing Requiers tag in spec file
  The missed packages are: perl-libwww-perl and perl-IO-Zlib
- update to version 3.1.3:
  * #181157: VUL-0: spamassassin: remote root
  * 4879: add in pointer to the wiki to find out more about debug channels
* Fri Mar 17 2006 - dmueller@suse.de
- Adjust BuildRequires
* Tue Mar 14 2006 - dmueller@suse.de
- update to version 3.1.1:
  * bug 4760: strictly validate trusted network configurations
  * bug 4363: honor CRLF settings
  * bug 4748: Update rules to catch Google redirector
  * bug 4791: fix handling of invalid encoded utf8 messages
  * bug 4809: add TLD for Greece
  * bug 4606: Adjust MIME parsing limits (possible DoS)
  * bug 4795: Improved validation of the score option
  * fix fd leak in Bayes token DB handling
  * bug 4780: fix IP_ADDRESS & LOCALHOST IPv6 support
  * bug 4735: lack of network interfaces crashes in DnsResolver.pm.
  * bug 4700: prevent arbitrary code injection
  * bug 4704,4686,4627,4690: Fixed Received: headers parsing
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - varkoly@suse.de
- fixing bug #138545
* Thu Jan 12 2006 - varkoly@suse.de
- fixing bug #141557
* Wed Oct 26 2005 - choeger@suse.de
- bugfix for init-script: tell spamd to use a pidfile
* Fri Sep 16 2005 - choeger@suse.de
- update to version 3.1.0
* Mon Aug 08 2005 - ug@suse.de
- fixed a license problem.
  See Bug #102221
* Thu Jun 23 2005 - meissner@suse.de
- use RPM_OPT_FLAGS (for spamc).
* Wed Jun 08 2005 - choeger@suse.de
- Update to version 3.0.4
* Mon May 02 2005 - choeger@suse.de
- Update to version 3.0.3
* Fri Apr 22 2005 - choeger@suse.de
- Bugfix ID#79285 - spamd: "short" description missing
* Wed Jan 12 2005 - choeger@suse.de
- cleaned up build process, now properly using ExtUtils::MakeMaker
  following the PACKAGING readme
* Mon Dec 20 2004 - choeger@suse.de
- Update to version 3.0.2
* Thu Nov 25 2004 - choeger@suse.de
- removed superfluous line:
  test -d /root/.spamassassin || mkdir /root/.spamassassin
  from init script
* Tue Oct 26 2004 - choeger@suse.de
- Update to version 3.0.1
- specfile can now also be used on older SuSE Linux versions
* Thu Sep 23 2004 - choeger@suse.de
- Update to version 3.0.0
* Fri Aug 06 2004 - meissner@suse.de
- Upgraded to security / bugfix release 2.64. #43546
* Sat Mar 27 2004 - ro@suse.de
- added directory /etc/mail to filelist
* Tue Jan 27 2004 - choeger@suse.de
- Update to version 2.63
* Sat Jan 03 2004 - mmj@suse.de
- References to %%version have to go below the Version: tag
* Wed Dec 31 2003 - mmj@suse.de
- Update to version 2.61
* Sun Dec 07 2003 - mmj@suse.de
- The perl-spamassassin version should be the same as the spam-
  assassin version.
* Sat Oct 18 2003 - mmj@suse.de
- Not necessary to explicitly tell SA not to query Osirusoft
  blocklist anymore
* Fri Oct 17 2003 - mmj@suse.de
- Don't build as root
- Update to version 2.60
* Tue Oct 14 2003 - choeger@suse.de
- Bugfix Bugzilla ID#32025, spamd is not started because of a bug
  in the init-script
- Bugfix Bugzilla ID#31867, spamassassin -lint reports errors because
  of outdated local.cf configuration options
* Thu Sep 04 2003 - choeger@suse.de
- Michael fixed MakeMaker PITA again
* Tue Sep 02 2003 - choeger@suse.de
- Don't query Osirusoft blocklist anymore, see
  http://news.spamassassin.org/modules.php?op=modload&name=News&file=article&sid=44&mode=thread&order=0&thold=0 for more details.
  Bugzilla ID#29566
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Aug 14 2003 - choeger@suse.de
- Bugfix Bugzilla ID#28942:
  missing activation metadata in sysconfig template
* Wed Jul 30 2003 - choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jul 01 2003 - choeger@suse.de
- don't use PREFIX in 'perl Makefile.PL'
- don't set LOCAL_RULES_DIR using %%buildroot as prefix
* Tue Jun 17 2003 - choeger@suse.de
- updated filelist
* Wed May 28 2003 - choeger@suse.de
- Update to 2.55
* Tue May 13 2003 - mmj@suse.de
- Update to 2.54
- Move %%defattr to cover all files
- Remove unwanted files
* Sun Apr 06 2003 - mmj@suse.de
- Update to version 2.53 which fixes some major bugs in earlier
  2.5x releases
* Fri Mar 28 2003 - mmj@suse.de
- spamassassin and perl-spamassassin should not both own
  /etc/mail/spamassassin/local.cf
* Tue Mar 25 2003 - adrian@suse.de
- update to version 2.52
* Mon Mar 24 2003 - adrian@suse.de
- use pid files in runlevel script (patch from Dirk Mueller #25767)
* Sun Mar 23 2003 - coolo@suse.de
- adding perl-HTML-Parser to neededforbuild
* Fri Mar 21 2003 - adrian@suse.de
- update to version 2.51
* Sun Mar 02 2003 - mmj@suse.de
- Disabling HABEAS_HIL test turned out to be just a bandaid. It still
  stalls for longer periods, so add "-L" switch so it only performs
  local tests. Subsequently remove the score HABEAS_HIL 0 in local.cf.
* Tue Feb 25 2003 - mmj@suse.de
- Disable the HABEAS_HIL test (sender is on www.habeas.com Habeas
  Infringer List) since it made each test last ~30 seconds.
- Default-Start: should be "3 5" not ""
* Fri Feb 21 2003 - adrian@suse.de
- update to version 2.50
  * fixing crash on x86_64 [#22015]
* Thu Feb 20 2003 - mmj@suse.de
- Add sysconfig metadata [#22690]
* Mon Feb 03 2003 - adrian@suse.de
- update to version 2.44
  * obsoletes security fix
* Wed Jan 29 2003 - adrian@suse.de
- update to version 2.43
* Tue Jan 28 2003 - draht@suse.de
- remove off-by-one bo -> spamassassin-ob1-security.diff
* Wed Oct 16 2002 - ro@suse.de
- fixed requires typo
* Tue Oct 08 2002 - adrian@suse.de
- add missing requires
- update to version 2.42
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Jul 29 2002 - mls@suse.de
- fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 - choeger@suse.de
- update to most recent version
- added perl-Time-HiRes to requires
- removed DOSWIN_EXECUTABLE patch
  http://sourceforge.net/mailarchive/message.php?msg_id=1606621
* Fri May 10 2002 - garloff@suse.de
- Add rule to filter mails with files having names with DOS/Win
  suffixes (DOSWIN_EXECUTABLE), default score 4.6
- Provide init script for spamd
- Install READMEs as %%doc
- Move spamc/d/proxy/assassin man pages to spamassassin package
- Configuration of spamd in sysconfig/spamd
* Wed May 08 2002 - garloff@suse.de
- Update to version 2.20.
* Tue Apr 16 2002 - draht@suse.de
- fix file list (/usr/share/spamassassin)
  add more convenient defaults to /etc/mail/spamassassin/local.cf
* Tue Apr 09 2002 - draht@suse.de
- initial package, version 2.11.
